import { TextCellInfoDescription } from "./TextCellInfoDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class TextHeaderCellInfoDescription extends TextCellInfoDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private dm;
    get isFilterUIVisible(): boolean;
    set isFilterUIVisible(a: boolean);
    private dp;
    get sortIndicatorStyle(): string;
    set sortIndicatorStyle(a: string);
}
